YUM-CONFIG-MANAGER(1)

NUME
yum-config-manager - redirecționează către modulul config-manager al DNF

Gestionează opțiunile de configurare DNF principale și ale depozitelor, comută ce depozite sunt activate sau dezactivate și adaugă noi depozite.

SINOPSIS

dnf config-manager [opțiuni] <secțiunea>...

ARGUMENTE

    <secțiunea>
        Acest argument poate fi utilizat pentru a selecta în mod explicit secțiunile de configurare care trebuie gestionate. O secțiune poate fi fie main, fie un „repoid” (id-ul depozitului). Dacă nu este specificat, programul va selecta secțiunea main și fiecare „repoid” utilizat în cadrul oricărei opțiuni --setopt. Un „repoid” poate fi specificat folosind metacaracterele de căutare (caracterele Jocker).

OPȚIUNI

Toate opțiunile generale DNF sunt acceptate, a se vedea Opțiuni în dnf(8) pentru detalii.

    --help-cmd
        Afișează acest mesaj de ajutor.

    --add-repo=URL
        Adaugă (și activează) depozitul „repo” din fișierul sau adresa URL specificată. Dacă trebuie adăugat în „installroot”, combinați-l cu opțiunea de linie de comandă --setopt=reposdir=/<installroot>/etc/yum.repos.d.

    --dump
        Afișează la ieșirea standard o copie a valorilor actuale de configurare.

    --set-disabled, --disable
        Dezactivează depozitele specificate (implică --save).

    --set-enabled, --enable
        Activează depozitele specificate (implică --save).

    --save
        Salvează opțiunile curente (utilă cu --setopt).

    --setopt=<opțiune>=<valoare>
        Definește o opțiune de configurare. Pentru a defini opțiunile de configurare pentru depozite, utilizați repoid.opțiune pentru <opțiune>. Caracterele Jocker sunt acceptate în „repoid”.

AVERTISMENT:
        Modulul config-manager al DNF se poate comporta greșit la activarea/dezactivarea depozitelor generate de instrumente precum subscription-manager în RHEL. În acest caz, ar trebui să utilizați subscription-manager pentru a efectua astfel de acțiuni.

EXEMPLE

    dnf config-manager --add-repo http://example.com/some/additional.repo
        Descarcă additional.repo și-l stochează în „repodir” (directorul de depozite).

    dnf config-manager --add-repo http://example.com/different/repo
        Crează un nou fișier „.repo” cu http://example.com/different/repo ca „baseurl” (adresa URL de bază) și-l activează.

    dnf config-manager --dump
        Afișează configurația principală a DNF.

    dnf config-manager --dump <secțiunea>
        Afișează configurația unui depozit identificat prin <secțiunea>.

    dnf config-manager --set-enabled <identificator-depozit>
        Activează depozitul identificat prin <identificator-depozit> și face ca modificarea să fie permanentă.

    dnf config-manager --set-disabled <identificator-depozit1> <identificator-depozit2>
        Dezactivează depozitele identificate prin <identificator-depozit1> și <identificator-depozit2>.

    dnf config-manager --set-disabled <identificator-depozit1>,<identificator-depozit2>
        Dezactivează depozitele identificate prin <identificator-depozit1> și <identificator-depozit2>.

    dnf config-manager --save --setopt=*.proxy=http://proxy.example.com:3128/ <depozit1> <depozit2>
        Actualizează configurația proxy în depozitele cu identificatoarele-de-depozit <depozit1> și <depozit2> și face ca modificarea să fie permanentă.

    dnf config-manager --save --setopt=*-debuginfo.gpgcheck=0
        Actualizează valoarea opțiunii „gpgcheck” în toate depozitele al căror id se termină cu „-debuginfo” și face ca modificarea să fie permanentă.

AUTOR
Consultați AUTORI în distribuția dumneavoastră Core DNF Plugins

DREPTURI DE AUTOR
2014, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.